<template>
	<div v-if="isLoaded" class="full-size">
		<div v-for="testCard in testCardList" :key="testCard.id" class="m-6">
			<wa-plant-card :data-testid="`plant-card-${testCard.id}`" :plant-info="testCard" />
		</div>
	</div>
	<div v-else class="full-size button is-loading" />
</template>

<script>
import WaPlantCard from 'src/components/wa-plant-card/wa-plant-card.vue';
import WaMenuBlock from 'src/components/wa-menu-block/wa-menu-block.vue';
import { useStore } from 'src/vue-setup';
import { computed } from 'vue';
export default {
	name: 'TheApp',
	components: { WaMenuBlock, WaPlantCard },
	setup() {
		const store = useStore();
		store.dispatch('getAllPlants');
		return {
			testCardList: computed(() => store.state.plantList),
			isLoaded: computed(() => store.state.isLoaded),
		};
	},
};
</script>

<style lang="css">
.full-size{
	width: 1000px;
	height: 800px;
}
</style>
